<div class="card">
    <div class="card-body">
        <div *ngIf="episode != undefined">
            <div class="row">
                <div class="col-md-12">
                    <button type="button" class="btn btn-primary derecha" (click)="backClicked()">Atrás</button>
                </div>
                <div class="col-md-12">
                    <h1>{{episode.name}}</h1>
                    <h4>Estreno: {{episode.air_date}}</h4>
                    <h4>Numero de Episodio: {{episode.episode}}</h4>
                    <h4>Creación de capitulo:{{episode.created}}</h4>
                </div>
            </div>
            <div>
                <h2>Lista de todos Los Personajes</h2>
                <button class="waves-effect waves-light btn" (click)="getChapterByCaracter()">Listar</button>
            </div>
            <div class="row pt-4">
                <div class="col-md-4 box-chapters" *ngFor="let caracteres of allCharacters">
                    <a [routerLink]="['/detail/',caracteres.id]" target="_blank">
                        <div class="row pt-2">
                            <div class="col-md-6">
                                <img src="{{caracteres['imagen']}}" alt="caracteres">
                            </div>
                            <div class="col-md-6">
                                <h5>Nombre: {{caracteres['name']}}</h5>
                                <h6>Estado: {{caracteres['status']}}</h6>
                                <h6>Especie: {{caracteres['species']}}</h6>
                                <h6>Genero: {{caracteres['gender']}}</h6>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>